Loading...
Searching...
No Matches
Dune::Functions::Concept::LocalFunction< Range(Domain), LocalContext > Struct Template Reference
Functions » Function concepts

Concept for a local function mapping `Domain` to `Range`. More...

`#include <dune/functions/common/functionconcepts.hh>`

Inheritance diagram for Dune::Functions::Concept::LocalFunction< Range(Domain), LocalContext >:

## Public Member Functions

template<class F>
auto | require (F &&f) -> decltype(f.bind(std::declval< LocalContext >()), f.unbind(), requireConvertible< bool >(f.bound()), f.localContext(), requireConvertible< LocalContext >(f.localContext()))

## Detailed Description

template<class Range, class Domain, class LocalContext>
struct Dune::Functions::Concept::LocalFunction< Range(Domain), LocalContext >

Concept for a local function mapping `Domain` to `Range`.

Template Parameters

  Domain | Domain type
  Range | Range type
  LocalContext | The local context this function is defined on

## Member Function Documentation

## require()

template<class Range, class Domain, class LocalContext>
template<class F>

auto Dune::Functions::Concept::LocalFunction< Range(Domain), LocalContext >::require | ( | F && | f | ) | ->decltype(f.bind(std::declval< LocalContext >()), f.unbind(), requireConvertible< bool >(f.bound()), f.localContext(), requireConvertible< LocalContext >(f.localContext()))

The documentation for this struct was generated from the following file:

- functionconcepts.hh